Issue 24581

Summary: X-style copy-and-paste broken with mterm
Product: General Reporter: acli <acli>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, lohmaier
Version: OOo 1.1.1aKeywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description acli 2004-01-19 20:13:10 UTC
When trying to copy from other X apps, X-style copying using the middle button
does not work. Usually, nothing happens. It seems that OOo is only able to copy
using the middle button between OOo windows.

Copying from other X apps requires the user to place the copied text into the
clipboard. For apps that never do this sort of thing (e.g., terminal emulators)
or apps that place text in the clipboard in formats that OOo does not understand
(e.g., non-ASCII characters from gtk2 apps), the user needs to launch
xclipboard. However, xclipboard causes normal OOo copy and paste to
imperceptibly function very unreliably (copying wrong characters due to charset
conversion). For me, this has caused a significant number of mistakes by simply
cutting and pasting text while forgetting that xclipboard is running. The user
can unintentionally cause a lot of mistakes to creep in until very late, by
which time he/she would have forgotten what has been cut-and-pasted (and
therefore unintentionally corrupted).

It would be Very Nice if OOo has the option to do normal X style copy-and-paste
with the middle button, just like other X apps.
Comment 1 h.ilter 2004-01-21 13:55:54 UTC
Reassigned to BH
Comment 2 lohmaier 2004-01-23 18:42:53 UTC
please be more specific.
The selection clipboard works as expected here. As a small test I selected your
issue-description and pasted it into a new writer document using the middle
mouse button.
Secondly I selected the output of ls -a in a gnome-terminal and successfully
pasted it into OOo writer.
Third I opened a utf-8 sample file with gedit, selected parts of the text and
pasted it into OOo writer without any problem.

All tested apps - my webbrowser (galeon 1.3.9), gnome terminal (2.4.0.1) and
gedit (2.4.0) are gtk2 applications. 

other applications work as well.
Comment 3 acli 2004-01-23 22:10:15 UTC
It does not work with either kterm or mlterm.
Comment 4 lohmaier 2004-01-24 11:38:23 UTC
reproducible with mterm (from http://mlterm.sourceforge.net/ )
Selecting some of the terminal's text and pasting it into OOo doesn't work while
pasting to gnome-terminal or gedit works just fine.

changing back to defect, reassigning to framework
Comment 5 thorsten.martens 2004-02-11 14:24:39 UTC
TM->BH: This one is not a defect but might be an enhancement. Don´t know why HI
wasn´t able to send this one to you ;o) ?
Comment 6 ace_dent 2008-05-16 02:55:18 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 7 bettina.haberer 2010-05-21 14:41:18 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".